Pricefx REST API Reference
- Export Datamart
The Pricefx Backend API
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.getactionstatus/{actionUUID}
- URL:https://companynode.pricefx.com/pricefx/companypartition/datamart.getactionstatus/{actionUUID}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.getactionstatus/{actionUUID}'{ "response": { "node": "pricefx-cluster-app-frontend-689c85c8b6-qqmd9", "startRow": 0, "data": [ … ], "endRow": 1, "totalRows": 1, "status": 0 } }
Request
Exports the specified Datamart source. Typically used in an integration scenario (IM) for a given customer. The request’s body can contain a data block with a regular filter criteria definition (as, for example, used in the JSON API fetch commands), to filter the output rows.
If the Analytics database for the parition is hosted in AWS, the export file(s) will be transferred to the corresponding S3 bucket, ready for retrieval using the datamart.fetchexportfile (Get a DM Export File) endpoint. Otherwise the files are put in the local file system of the node that handles the request:
default path: server/temp/<node>/export/<partition>/
If needed, a different, absolute path can be set using an instance parameter:
datamart.database.export.path
Data is exported in the CSV format, and is always gzip-compressed. Character encoding is always UTF-8. There is no client side encryption.
A suffix appended to the standard output file name: <typeCode>_<sourceUniqueName>_<suffix>.csv.gz
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.export/{fcTypedIdOrSourceName}
- URL:https://companynode.pricefx.com/pricefx/companypartition/datamart.export/{fcTypedIdOrSourceName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.export/DMDS.SegmentPrices?suffix=string&maxRows=string' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"criteria": [
{
"operator": "string",
"fieldName": "string",
"value": "string"
}
],
"operator": "string"
}
}'{ "response": { "node": "string", "data": [ … ], "status": 0 } }
Request
Creates a default Data Source (Product, Customer, Unit of Measures, Currencies, or Calendar). Use this endpoint if default Data Sources have not been created when setting up the partition.
Note: When no path parameter is passed, all default Data Sources are dropped and recreated - any data will be lost. Othwerise, only the Data Source indicated by the path param is dropped and recreated.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.restoredefaultds/{dataSourceName}
- URL:https://companynode.pricefx.com/pricefx/companypartition/datamart.restoredefaultds/{dataSourceName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.restoredefaultds/{dataSourceName}'See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments